complexType "TradeUnderlyer"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | floatingRate? | fixedRate? | underlyingAsset? | referenceEntity?
</...>

Content Model Elements (4):

  fixedRate (defined in TradeUnderlyer complexType), floatingRate (defined in TradeUnderlyer complexType), | referenceEntity (defined in TradeUnderlyer complexType), underlyingAsset

All Direct / Indirect Based Elements (2):

  underlyer (in calculationElements), | underlyer (in tradeDetails)

Known Usage Locations

- As direct type of elements (2):

  underlyer (in calculationElements), | underlyer (in tradeDetails)

Annotation
The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow. It can be an index, fixed rate, listed security, quoted currency pair, or a reference entity (for credit derivatives).
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="TradeUnderlyer"> <xsd:choice> <xsd:element minOccurs="0" name="floatingRate" type="FloatingRate"/> <xsd:element minOccurs="0" name="fixedRate" type="Schedule"/> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
fixedRate

  Type: | Schedule, complex content

  The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRate" type="Schedule"/>

floatingRate

  Type: | FloatingRate, complex content

  A floating rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingRate" type="FloatingRate"/>

referenceEntity

  Type: | LegalEntity, complex content

  The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 12 elements

  Define the underlying asset, either a listed security or other instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.